Page through the messages a model call in a session's trace was sent, with each message's full content.
GET
/v1/sessions/{session_id}/trace/turns/{turn}/steps/{step}/request
const url = 'https://app.everruns.com/api/v1/sessions/example/trace/turns/example/steps/example/request';const options = {method: 'GET'};
try { const response = await fetch(url, options); const data = await response.json(); console.log(data);} catch (error) { console.error(error);}curl --request GET \ --url https://app.everruns.com/api/v1/sessions/example/trace/turns/example/steps/example/requestParameters
Section titled “ Parameters ”Path Parameters
Section titled “Path Parameters”session_id
required
string
Prefixed public identifier
turn
required
string
Prefixed public identifier
step
required
string
Prefixed public identifier
Query Parameters
Section titled “Query Parameters”role
string
Only messages of this role: system, user, assistant or tool.
offset
integer format: int32
First message index. Defaults to 0.
limit
integer format: int32
Messages per page, 1 to 200. Defaults to 100.
Responses
Section titled “ Responses ”Success
Media typeapplication/json
A page of a model request’s messages.
object
message_count
required
Messages sent in the call.
integer format: int32
messages
required
Requested messages, in order.
Array<object>
One message of a model request.
object
content
The whole message, when asked for and within the limit.
index
required
Position in the request.
integer format: int32
preview
required
Start of the message text.
string
role
required
system, user, assistant or tool.
string
size_bytes
required
Size of the serialized message.
integer
model
Model that served the call.
string | null
new_from
required
Messages before this index were already in the previous call.
integer format: int32
Example
{ "message_count": 14, "messages": [ { "index": 12, "role": "tool", "size_bytes": 244 } ], "new_from": 12}